diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 3ffc530..7f4b248 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -4972,7 +4972,7 @@ BalancedFactorisation(R, UP): Exports == Implementation where
       */[balSqfr1(f.factor, n, b) for f in factors balSqfr(a,n,rest l)]
 
     balancedFactorisation(a:UP, l:List UP) ==
-      empty?(ll := select(#1 ^= 0, l)) =>
+      empty?(ll := select(z1 +-> z1 ^= 0, l)) =>
         error "balancedFactorisation: 2nd argument is empty or all 0"
       sa := squareFree a
       unit(sa) * */[balSqfr(f.factor,f.exponent,ll) for f in factors sa])
diff --git a/changelog b/changelog
index d1d1c96..478699b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090510 tpd src/axiom-website/patches.html 20090510.16.tpd.patch
+20090510 tpd books/bookvol10.4 BALFACT +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.15.tpd.patch
 20090510 tpd books/bookvol10.3 D01AQFA +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.14.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index babf069..7605666 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1190,5 +1190,7 @@ bookvol10.2 D01APFA +-> conversion<br/>
 bookvol10.2 VECTCAT +-> conversion<br/>
 <a href="patches/20090510.15.tpd.patch">20090510.15.tpd.patch</a>
 bookvol10.3 D01AQFA +-> conversion<br/>
+<a href="patches/20090510.16.tpd.patch">20090510.16.tpd.patch</a>
+bookvol10.4 BALFACT +-> conversion<br/>
  </body>
 </html>
